AnalyzeAction Class Reference

`#include <AnalyzeAction.h>`

Inheritance diagram for AnalyzeAction:

## Public Member Functions

| AnalyzeAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | perform ()
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | processNonParameter (const char *str)
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
virtual bool | displayAction () const
| Returns whether this action should be shown to the user by the help action.
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Private Member Functions

bool | requiresWholeIdeal () const
void | analyzeStreaming (AnalyzeConsumer &consumer) const
void | analyzeIdeal (BigIdeal &ideal) const

## Private Attributes

IOParameters | _io
IntegerParameter | _summaryLevel
BoolParameter | _printLcm
BoolParameter | _printVarCount
BoolParameter | _printGeneratorCount
BoolParameter | _printMaximumExponent
BoolParameter | _printMinimal

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Definition at line 27 of file AnalyzeAction.h.

## Constructor & Destructor Documentation

## AnalyzeAction()

AnalyzeAction::AnalyzeAction | ( |  | ) |

Definition at line 86 of file AnalyzeAction.cpp.

## Member Function Documentation

## analyzeIdeal()

void AnalyzeAction::analyzeIdeal | ( | BigIdeal & | ideal | ) | const

private

Definition at line 173 of file AnalyzeAction.cpp.

## analyzeStreaming()

void AnalyzeAction::analyzeStreaming | ( | AnalyzeConsumer & | consumer | ) | const

private

Definition at line 190 of file AnalyzeAction.cpp.

## obtainParameters()

void AnalyzeAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 131 of file AnalyzeAction.cpp.

## perform()

void AnalyzeAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 143 of file AnalyzeAction.cpp.

## requiresWholeIdeal()

bool AnalyzeAction::requiresWholeIdeal | ( |  | ) | const

private

Definition at line 169 of file AnalyzeAction.cpp.

## staticGetName()

const char * AnalyzeAction::staticGetName | ( |  | ) |

static

Definition at line 220 of file AnalyzeAction.cpp.

## Member Data Documentation

## _io

IOParameters AnalyzeAction::_io

private

Definition at line 43 of file AnalyzeAction.h.

## _printGeneratorCount

BoolParameter AnalyzeAction::_printGeneratorCount

private

Definition at line 47 of file AnalyzeAction.h.

## _printLcm

BoolParameter AnalyzeAction::_printLcm

private

Definition at line 45 of file AnalyzeAction.h.

## _printMaximumExponent

BoolParameter AnalyzeAction::_printMaximumExponent

private

Definition at line 48 of file AnalyzeAction.h.

## _printMinimal

BoolParameter AnalyzeAction::_printMinimal

private

Definition at line 49 of file AnalyzeAction.h.

## _printVarCount

BoolParameter AnalyzeAction::_printVarCount

private

Definition at line 46 of file AnalyzeAction.h.

## _summaryLevel

IntegerParameter AnalyzeAction::_summaryLevel

private

Definition at line 44 of file AnalyzeAction.h.

The documentation for this class was generated from the following files:

- src/AnalyzeAction.h
- src/AnalyzeAction.cpp